KKeyServer::Key Struct Reference

`#include <kkeyserver_x11.h>`

## Public Types

enum | { CODE_FOR_QT = 256 }

## Public Member Functions

bool | init (const KKey &key, bool bQt)
bool | isNative () const
uint | code () const
uint | mod () const
uint | sym () const
int | keyCodeQt () const
void | setKeycodeQt (int keyQt)
Key & | operator= (const KKeyNative &key)
int | compare (const Key &key) const
bool | operator== (const Key &b) const
bool | operator< (const Key &b) const
KKey | key () const

## Public Attributes

uint | m_code
uint | m_mod
uint | m_sym

## Detailed Description

Represents a key press.

See also
  KKey

Definition at line 137 of file kkeyserver_x11.h.

## Member Enumeration Documentation

anonymous enum

Code for native Keys in Qt.

Definition at line 140 of file kkeyserver_x11.h.

## Member Function Documentation

uint KKeyServer::Key::code | ( |  | ) | const

inline

Returns the code of the key.

Returns
  the code of the key

Definition at line 174 of file kkeyserver_x11.h.

int KKeyServer::Key::compare | ( | const Key & | key | ) | const

Compares this key with the given Key object.

Returns a negative number if the given Key is larger, 0 if they are equal and a positive number this Key is larger. The returned value is the difference between the symbol, modifier or code, whatever is non-zero first.

Parameters

  key | the key to compare with this key

Returns
  a negative number if the given Key is larger, 0 if they are equal and a positive number this Key is larger

bool KKeyServer::Key::init | ( | const KKey & | key,
|  | bool | bQt
| ) |  |

Initializes the key with a KKey.

Parameters

  key | the key to get the data from
  bQt | true to take the Qt keycode, false for the native key code

See also
  Qt::Key
  KKeyNative

bool KKeyServer::Key::isNative | ( |  | ) | const

inline

Checks whether the key code is a native code.

Returns
  true if native code of the window system, false if it is a Qt keycode

See also
  Qt::Key
  KKeyNative

Definition at line 168 of file kkeyserver_x11.h.

KKey KKeyServer::Key::key | ( |  | ) | const

Converts this Key to a KKey.

Returns
  the KKey

int KKeyServer::Key::keyCodeQt | ( |  | ) | const

inline

Returns the qt key code.

Returns
  the qt key code

Definition at line 192 of file kkeyserver_x11.h.

uint KKeyServer::Key::mod | ( |  | ) | const

inline

Returns the modifiers of the key.

Returns
  the modifiers of the key

Definition at line 180 of file kkeyserver_x11.h.

bool KKeyServer::Key::operator< | ( | const Key & | b | ) | const

inline

Compares the symbol, modifiers and code of both keys.

See also
  compare()

Definition at line 231 of file kkeyserver_x11.h.

Key& KKeyServer::Key::operator= | ( | const KKeyNative & | key | ) |

Initializes this key with a KKeyNative.

Returns
  this key

bool KKeyServer::Key::operator== | ( | const Key & | b | ) | const

inline

Compares the symbol, modifiers and code of both keys.

See also
  compare()

Definition at line 224 of file kkeyserver_x11.h.

void KKeyServer::Key::setKeycodeQt | ( | int | keyQt | ) |

inline

Sets the qt key code.

Parameters

  keyQt | the qt key code

Definition at line 198 of file kkeyserver_x11.h.

uint KKeyServer::Key::sym | ( |  | ) | const

inline

Returns the symbol of the key.

Returns
  the symbol of the key

Definition at line 186 of file kkeyserver_x11.h.

## Member Data Documentation

uint KKeyServer::Key::m_code

The code of the key.

Definition at line 143 of file kkeyserver_x11.h.

uint KKeyServer::Key::m_mod

The modifiers of the key.

Definition at line 146 of file kkeyserver_x11.h.

uint KKeyServer::Key::m_sym

The symbol of the key.

Definition at line 149 of file kkeyserver_x11.h.

The documentation for this struct was generated from the following file:

- kkeyserver_x11.h

KDE Home | KDE Accessibility Home | Description of Access Keys